## org.eclipse.jetty.jsp
Class JettyLog

    java.lang.Object
      org.eclipse.jetty.jsp.JettyLog

    public class JettyLog

extends java.lang.Object

Version:
  $Revision: 1571 $ $Date: 2010-04-27 06:11:19 -0500 (Tue, 27 Apr 2010) $

Constructor Summary
`JettyLog(java.lang.String name)`

Method Summary
`void` `debug(java.lang.Object o)`
`void` `debug(java.lang.Object o, java.lang.Throwable throwable)`
`void` `error(java.lang.Object o)`
`void` `error(java.lang.Object o, java.lang.Throwable throwable)`
`void` `fatal(java.lang.Object o)`
`void` `fatal(java.lang.Object o, java.lang.Throwable throwable)`
`void` `info(java.lang.Object o)`
`static void` `init()` Called via reflection from WebXmlProcessor
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(java.lang.Object o)`
`void` `warn(java.lang.Object o)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyLog

    public JettyLog(java.lang.String name)

Method Detail

### init

    public static void init()

  Called via reflection from WebXmlProcessor

### fatal

    public void fatal(java.lang.Object o)

### fatal

    public void fatal(java.lang.Object o,
                      java.lang.Throwable throwable)

### isErrorEnabled

    public boolean isErrorEnabled()

### error

    public void error(java.lang.Object o)

### error

    public void error(java.lang.Object o,
                      java.lang.Throwable throwable)

### isWarnEnabled

    public boolean isWarnEnabled()

### warn

    public void warn(java.lang.Object o)

### isInfoEnabled

    public boolean isInfoEnabled()

### info

    public void info(java.lang.Object o)

### isDebugEnabled

    public boolean isDebugEnabled()

### debug

    public void debug(java.lang.Object o)

### debug

    public void debug(java.lang.Object o,
                      java.lang.Throwable throwable)

### isTraceEnabled

    public boolean isTraceEnabled()

### trace

    public void trace(java.lang.Object o)

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.